# Class: Root

Defined in: | lib/psd/nodes/root.coffee
Inherits: | Node

## Variables Summary

type =

      'root'

### Variable inherited from Node

PROPERTIES type

## Class Method Summary

- . (void) layerForPsd(psd)

## Instance Method Summary

- # (void) documentDimensions()
- # (void) depth()
- # (void) opacity()
- # (void) fillOpacity()
- # (void) export()
- # (void) buildHeirarchy()

## Inherited Method Summary

### Methods inherited from Node

#createProperties #get #visible #hidden #isLayer #isGroup #isRoot #clippingMask #clippedBy #export #updateDimensions

## Class Method Details

. (void) layerForPsd(psd)

## Constructor Details

# (void) constructor(psd)

## Instance Method Details

# (void) documentDimensions()

# (void) depth()

# (void) opacity()

# (void) fillOpacity()

# (void) export()

# (void) buildHeirarchy()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input